package com.landray.kmss.sys.attachment.restservice.foxit.controller;

import com.landray.kmss.sys.attachment.util.SysAttUtil;
import javax.servlet.http.HttpServletRequest;
import com.landray.kmss.sys.attachment.util.SysAttViewerUtil;
import java.util.HashMap;
import net.sf.json.JSONObject;
import java.util.Map;

public class FoxitWaterInfo
{
    private Map<String, Object> data;
    private JSONObject watermarkCfg;
    
    public FoxitWaterInfo() {
        this.data = new HashMap<String, Object>();
        this.watermarkCfg = SysAttViewerUtil.getWaterMarkConfigInDB(Boolean.valueOf(true));
    }
    
    public FoxitWaterInfo getBaseInfo() {
        if (!this.isWordWater() && !this.isPicWater()) {
            this.data.put("isExplicit", "0");
            return this;
        }
        this.data.put("isExplicit", "1");
        this.data.put("isShowExplicit", "1");
        this.data.put("isPrintExplicit", "1");
        this.data.put("position", "000111000");
        this.data.put("rotation", this.watermarkCfg.get("markRotateAngel"));
        this.data.put("diaphaneity", this.watermarkCfg.get("markOpacity"));
        return this;
    }
    
    public FoxitWaterInfo getWordWater(final HttpServletRequest request, final String userId) {
        String isText = "0";
        if (this.isWordWater()) {
            isText = "1";
            final com.alibaba.fastjson.JSONObject json = new com.alibaba.fastjson.JSONObject();
            json.put("userId", (Object)userId);
            final String content = SysAttViewerUtil.getVarMarkWord(this.watermarkCfg.getString("markWordVar"), request, json);
            this.data.put("content", content);
            this.data.put("fontStyle", this.watermarkCfg.get("markWordFontFamily"));
            this.data.put("fontSize", this.watermarkCfg.get("markWordFontSize"));
            this.data.put("fontColor", this.watermarkCfg.get("markWordFontColor"));
        }
        this.data.put("isText", isText);
        return this;
    }
    
    public FoxitWaterInfo getPicWater(final HttpServletRequest request) {
        String isImage = "0";
        if (this.isPicWater()) {
            isImage = "1";
            this.data.put("image", SysAttUtil.imageToBase64(request));
            this.data.put("scale", "1.5");
        }
        this.data.put("isImage", isImage);
        return this;
    }
    
    private Boolean isWordWater() {
        if (this.watermarkCfg.get("markWordVar") != null && "true".equals(this.watermarkCfg.get("showWaterMark")) && "word".equals(this.watermarkCfg.get("markType"))) {
            return true;
        }
        return false;
    }
    
    private Boolean isPicWater() {
        if (this.watermarkCfg.get("markWordVar") != null && "true".equals(this.watermarkCfg.get("showWaterMark")) && "pic".equals(this.watermarkCfg.get("markType"))) {
            return true;
        }
        return false;
    }
    
    public Map<String, Object> getData() {
        return this.data;
    }
}
